Subject: Re: [PATCH] powerpc: merge types.h

From: Becky Bruce <[email-masked]>
Date: Wed, 19 Oct 2005 18:41:21 -0500

Gack!  While I doubt that should break anything, I can't promise 100% 
that it won't.  I'll resubmit with that wrapped  up in a nice shiny 
ifdef.

Thanks for the catch - I wouldn't want irate users picketing my house :)

Cheers,
B

On Oct 19, 2005, at 5:44 PM, Paul Mackerras wrote:

> Becky Bruce writes:
>
>> This patch merges types.h into include/asm-powerpc.  The only real 
>> changes
>> here are that umode_t has become short instead of int in the 64-bit 
>> case,
>> which appears to match what most other platforms have done.
>
> Ummm, isn't that an ABI change?  We don't want to do that unless
> you're completely absolutely positively sure it couldn't possibly
> cause any userspace breakage.
>
> Regards,
> Paul.